Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_random_t Struct Reference

## Data Fields
VALUE | seed
struct MT | mt

## Detailed Description

Definition at line 221 of file random.c.

## Field Documentation

struct MT rb_random_t::mt

Definition at line 223 of file random.c.

Referenced by default_mt(), Init_RandomSeed(), rand_random(), rand_start(), random_copy(), random_dump(), random_equal(), random_init(), random_left(), random_load(), random_s_left(), random_s_state(), random_state(), rb_f_srand(), rb_random_bytes(), rb_random_int32(), rb_random_real(), rb_random_ulong_limited(), and rb_reset_random_seed().

VALUE rb_random_t::seed

Definition at line 222 of file random.c.

Referenced by Init_RandomSeed(), Init_RandomSeed2(), rand_start(), random_alloc(), random_dump(), random_equal(), random_get_seed(), random_init(), random_load(), rb_f_srand(), and rb_reset_random_seed().

The documentation for this struct was generated from the following file:

- random.c